Main Page Widgets Namespaces Book

# Gdk::DragContext Class Reference

Inheritance diagram for Gdk::DragContext:

[legend]
List of all members.

## Public Methods

virtual | ~DragContext ()
GdkDragContext* | gobj ()
const GdkDragContext* | gobj () const
GdkDragContext* | gobj_copy ()
void | drag_status (DragAction action, guint32 time)
void | drop_reply (bool ok, guint32 time)
void | drop_finish (bool success, guint32 time)
GdkAtom | get_selection ()
void | drag_finish (bool success, bool del, guint32 time)
void | set_icon (const Glib::RefPtr<Gdk::Colormap>& colormap, const Glib::RefPtr<Gdk::Pixmap>& pixmap, const Glib::RefPtr<Gdk::Bitmap>& mask, int hot_x, int hot_y)
void | set_icon (const Glib::RefPtr<Gdk::Pixbuf>& pixbuf, int hot_x, int hot_y)
void | set_icon (const Glib::ustring& stock_id, int hot_x, int hot_y)
void | set_icon ()
DragProtocol | get_protocol () const
bool | get_is_source () const
DragAction | get_actions () const
DragAction | get_suggested_action () const
DragAction | get_action () const
guint32 | get_start_time () const

## Static Public Methods

Glib::RefPtr<DragContext> | create ()

## Protected Methods

| DragContext ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gdk::DragContext> | wrap (GdkDragContext* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gdk::DragContext::~DragContext | ( |  | ) | `[virtual]`

Gdk::DragContext::DragContext | ( |  | ) | `[protected]`

## Member Function Documentation

Glib::RefPtr<DragContext> Gdk::DragContext::create | ( |  | ) | `[static]`

void Gdk::DragContext::drag_finish | ( | bool | success,
|  | bool | del,
|  | guint32 | time
| ) |

void Gdk::DragContext::drag_status | ( | DragAction | action,
|  | guint32 | time
| ) |

void Gdk::DragContext::drop_finish | ( | bool | success,
|  | guint32 | time
| ) |

void Gdk::DragContext::drop_reply | ( | bool | ok,
|  | guint32 | time
| ) |

DragAction Gdk::DragContext::get_action | ( |  | ) |

DragAction Gdk::DragContext::get_actions | ( |  | ) |

bool Gdk::DragContext::get_is_source | ( |  | ) |

DragProtocol Gdk::DragContext::get_protocol | ( |  | ) |

GdkAtom Gdk::DragContext::get_selection | ( |  | ) |

guint32 Gdk::DragContext::get_start_time | ( |  | ) |

DragAction Gdk::DragContext::get_suggested_action | ( |  | ) |

const GdkDragContext* Gdk::DragContext::gobj | ( |  | ) | const`[inline]`

| Reimplemented from Glib::ObjectBase.

GdkDragContext* Gdk::DragContext::gobj | ( |  | ) | `[inline]`

| Reimplemented from Glib::ObjectBase.

GdkDragContext* Gdk::DragContext::gobj_copy | ( |  | ) |

void Gdk::DragContext::set_icon | ( |  | ) |

void Gdk::DragContext::set_icon | ( | const Glib::ustring& | stock_id,
|  | int | hot_x,
|  | int | hot_y
| ) |

void Gdk::DragContext::set_icon | ( | const Glib::RefPtr<Gdk::Pixbuf>& | pixbuf,
|  | int | hot_x,
|  | int | hot_y
| ) |

void Gdk::DragContext::set_icon | ( | const Glib::RefPtr<Gdk::Colormap>& | colormap,
|  | const Glib::RefPtr<Gdk::Pixmap>& | pixmap,
|  | const Glib::RefPtr<Gdk::Bitmap>& | mask,
|  | int | hot_x,
|  | int | hot_y
| ) |

## Friends And Related Function Documentation

Glib::RefPtr<Gdk::DragContext> wrap | ( | GdkDragContext* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- dragcontext.h